Bug 425806 - mailman and postfix cannot interact
Summary: mailman and postfix cannot interact
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Enterprise Linux 5
Classification: Red Hat
Component: selinux-policy   
(Show other bugs)
Version: 5.1
Hardware: All Linux
low
low
Target Milestone: ---
: ---
Assignee: Daniel Walsh
QA Contact:
URL:
Whiteboard:
Keywords: OtherQA
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2007-12-16 01:45 UTC by Max Kanat-Alexander
Modified: 2009-07-20 09:59 UTC (History)
1 user (show)

Fixed In Version: RHBA-2008-0465
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-05-21 16:06:26 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
AVC Denials (4.14 KB, text/plain)
2007-12-16 01:45 UTC, Max Kanat-Alexander
no flags Details


External Trackers
Tracker ID Priority Status Summary Last Updated
Red Hat Product Errata RHBA-2008:0465 normal SHIPPED_LIVE selinux-policy bug fix update 2008-05-20 14:36:31 UTC

Description Max Kanat-Alexander 2007-12-16 01:45:37 UTC
Postfix and mailman need to interact in three ways:

1) You have to run postalias on /etc/mailman/aliases and postmap on
/etc/mailman/virtual-mailman.

2) Postfix has to be able to read /etc/mailman/aliases and
/etc/mailan/virtual-mailman in order to deliver messages

3) Postfix has to be able to actually deliver messages to mailman.

The attached file contains the AVCs generated by all three of these actions.
Each separate set of actions is separated by a blank line.

This bug is somewhat similar to bug 236455 and bug 234773 (both Fedora bugs).

Comment 1 Max Kanat-Alexander 2007-12-16 01:45:37 UTC
Created attachment 289711 [details]
AVC Denials

Comment 2 Daniel Walsh 2007-12-18 16:05:53 UTC
Fixed in selinux-policy-2.4.6-108.el5

Comment 3 RHEL Product and Program Management 2007-12-18 16:14:55 UTC
This request was evaluated by Red Hat Product Management for inclusion in a Red
Hat Enterprise Linux maintenance release.  Product Management has requested
further review of this request by Red Hat Engineering, for potential
inclusion in a Red Hat Enterprise Linux Update release for currently deployed
products.  This request is not yet committed for inclusion in an Update
release.

Comment 6 Eduard Benes 2008-02-14 15:09:30 UTC
Max, could you please try the new policy available at the link below 
and reply whether the new packages solve your problem. 
Thank you.

http://people.redhat.com/dwalsh/SELinux/RHEL5/noarch/

Comment 7 Max Kanat-Alexander 2008-02-14 17:09:00 UTC
Hey Eduard. Yes, that package seems to fix it, thank you. :-)

Comment 10 errata-xmlrpc 2008-05-21 16:06:26 UTC
An advisory has been issued which should help the problem
described in this bug report. This report is therefore being
closed with a resolution of ERRATA. For more information
on the solution and/or where to find the updated files,
please follow the link below. You may reopen this bug report
if the solution does not work for you.

http://rhn.redhat.com/errata/RHBA-2008-0465.html



Note You need to log in before you can comment on or make changes to this bug.